#2 Compile xdelta-1.1.3 with GCC4 Patch

closed-later
nobody
None
5
2007-02-02
2005-11-16
Robert Wohlrab
No

Since it is not possible to compile xdelta-1.1.3 with
gcc4 (gcc-4.0.2), here is a small patch to fix it for
anyone who has that problem.

Discussion

  • Robert Wohlrab
    Robert Wohlrab
    2005-11-16

    xdelta-1.1.3.gcc4.patch

     
  • Robert Wohlrab
    Robert Wohlrab
    2005-11-16

    • summary: Compile xdelta-1.1.3 with GCC Patch --> Compile xdelta-1.1.3 with GCC4 Patch
     
    • status: open --> open-later
     
  • Logged In: YES
    user_id=40985
    Originator: NO

    Thanks!
    1.1.4 compiles on gcc4, although there are still lots of warnings. 3.x is much better in this regard. See:
    http://code.google.com/p/xdelta/

     
    • status: open-later --> closed-later